/*
  This program tests the ParsePrefix parser.

*/

public class TestPrefix1
{
   public static void main(String[] args)
   {
      String prefix[] =
            // prefix notation        // parenthesized infix notation
          { "+ 2 * 3 4",              // 2 + 3 * 4
            "* + 2 3 4",              // (2 + 3) * 4
            "+ - 2 3 4",              // 2 - 3 + 4
            "- 2 + 3 4",              // 2 - (3 + 4)
            "neg ^ 2 3",              // -2^3
            "^ neg 2 3",              // (-2)^3
            "/ + neg b sqrt - ^ b 2 * * 4 a c * 2 a",
            "+ ^ 3 4 7 8 neg",   // a syntax error (at 8)
            "+ ^ 3 4 * 7 8 neg"  // a syntax error (at neg)
          };


      for (int i = 0; i < prefix.length; i++)
      {
         ParsePrefix.parsePrefix( prefix[i] );
      }
   }//main()

}//TestPrefix1
